Page MenuHomePhabricator

WikimediaEvents extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the WikimediaEvents PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : masterAdd @coversNothing to browser test

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM
Vvjjkkii renamed this task from WikimediaEvents extension is missing @covers tags to ylcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ylcaaaaaaa to WikimediaEvents extension is missing @covers tags.Jul 1 2018, 4:58 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 448841 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/WikimediaEvents@master] Add @coversNothing to browser test

https://gerrit.wikimedia.org/r/448841

Change 448841 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Add @coversNothing to browser test

https://gerrit.wikimedia.org/r/448841

Legoktm closed this task as Resolved.Jul 28 2018, 2:54 PM
Legoktm claimed this task.